Package com.sas.services.storedprocess

# Class WebDAVPackagePRResultHints

java.lang.Object
com.sas.services.storedprocess.ResultHints
com.sas.services.storedprocess.WebDAVPackagePRResultHints

All Implemented Interfaces:
  `Serializable`, `Cloneable`

@Deprecated public class WebDAVPackagePRResultHints extends ResultHints
Deprecated.
This ResultHints sub-class specfies hints for the RESULT_TYPE_PERMANENT_WEBDAV_PACKAGE result type and subtype ResultHints.HINT_SUBTYPE_WEBDAV_USER_PR. This hint allows the specification of any collection (relative to the Personal Repository) as the location for the package. While the destination collection need not exist, any intermediate collection must exist.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.storedprocess.ResultHints

  `HINT_SUBTYPE_NA, HINT_SUBTYPE_SET, HINT_SUBTYPE_WEBDAV_DAVSERVER, HINT_SUBTYPE_WEBDAV_URL, HINT_SUBTYPE_WEBDAV_USER_PR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCollectionInPR()`
  Deprecated.
  Gets the package collection path relative to the MyResults folder of the Personal Repository.
  `void`
  `setCollectionInPR(String collectionInPR)`
  Deprecated.
  Sets the package collection path relative to the MyResults folder of the Personal Repository.

  ### Methods inherited from class com.sas.services.storedprocess.ResultHints

  `clone, getResultLocation, isLifecycleBound, isNewInstanceCreated, setLifecycleBound, setNewInstanceCreated`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setCollectionInPR

    public void setCollectionInPR(String collectionInPR)
    Deprecated.
    Sets the package collection path relative to the MyResults folder of the Personal Repository. If a new instance is to be created this is the path to the collection which will contain the newly created collection.
    Parameters:
      `collectionInPR` - the path of the package collection relative to the Personal Repository. null is a valid argument only if a new instance is to be created.

  - ### getCollectionInPR

    public String getCollectionInPR()
    Deprecated.
    Gets the package collection path relative to the MyResults folder of the Personal Repository. If a new instance is to be created this is the path to the collection which will contain the newly created collection.